| EVShield v1.3 EVShield Library Reference by mindsensors.com

Public Member Functions | Public Attributes | List of all members
EVShieldAGS Class Reference

EVShield Analog Sensor class. More...

`#include <EVShieldAGS.h>`

Inheritance diagram for EVShieldAGS:

## Public Member Functions
| EVShieldAGS ()
| EVShieldAGS (EVShield *shield, SH_BankPort bp)
bool | setType (uint8_t type)
int | readRaw ()
bool | init (EVShield *shield, SH_BankPort bp)

## Public Attributes
EVShield * | mp_shield
SH_BankPort | m_bp

## Detailed Description

EVShield Analog Sensor class.

## Constructor & Destructor Documentation

## § EVShieldAGS() [1/2]

EVShieldAGS::EVShieldAGS | ( |  | ) |

null constructor for the EVShieldAGS class; need to init later

## § EVShieldAGS() [2/2]

EVShieldAGS::EVShieldAGS | ( | EVShield * | shield,
|  | SH_BankPort | bp
| ) |  |

class constructor with pointed to EVShield and the bankport as a parameter; init is not needed

## Member Function Documentation

## § init()

bool EVShieldAGS::init | ( | EVShield * | shield,
|  | SH_BankPort | bp
| ) |  |

initialize the analog device with a pointed to the EVShield and the bank port it is connected to

## § readRaw()

int EVShieldAGS::readRaw | ( |  | ) |

read the raw analog value from the device and return as an integer

## § setType()

bool EVShieldAGS::setType | ( | uint8_t | type | ) |

set the type of the device on this port of the EVShield

## Member Data Documentation

## § m_bp

SH_BankPort EVShieldAGS::m_bp

bank port the analog device is connected to

## § mp_shield

EVShield* EVShieldAGS::mp_shield

pointer to the EVShield class instantiation used

The documentation for this class was generated from the following files:

- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVShieldAGS.h
- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVShieldAGS.cpp